<ion-grid class="grid">
    <ion-row><ion-button class="tlacitko" (click)="zobrazRozvrh()" color="danger"><ion-icon name="{{ikonkaRozkliknout}}"></ion-icon>{{btnRozvrh}}</ion-button></ion-row>
    <div [hidden]=schovano>
        <ion-grid>
            <ion-row>
                <ion-col size="2">
                    <ion-row>
                        <ion-col class="bezOhraniceni"></ion-col>
                    </ion-row>
                    <ion-row style='height: var(--vyskaPodneli);'>
                        <ion-col class="textNaStred" style='height: var(--vyskaPodneli);'>Po</ion-col>
                    </ion-row>
                    <ion-row style='height: var(--vyskaUtery);'>
                        <ion-col class="textNaStred" style='height: var(--vyskaUtery);'>Út</ion-col>
                    </ion-row>
                    <ion-row style='height: var(--vyskaStreda);'>
                        <ion-col class="textNaStred" style='height: var(--vyskaStreda);'>St</ion-col>
                    </ion-row>
                    <ion-row style='height: var(--vyskaCtvrtek);'>
                        <ion-col class="textNaStred" style='height: var(--vyskaCtvrtek);'>Čt</ion-col>
                    </ion-row>
                    <ion-row style='height: var(--vyskaPatek);'>
                        <ion-col class="textNaStred" style='height: var(--vyskaPatek);'>Pá</ion-col>
                    </ion-row>
                </ion-col>

                <ion-col size="10" class="rozvrh">
                    <ion-row class="rozvrhVelikost">
                        <ion-col>
                            <ion-row justify-content-start class="hodinaFont">7:00</ion-row>
                            <ion-row justify-content-center><b>1</b>.</ion-row>
                            <ion-row justify-content-end class="hodinaFont">8:00</ion-row>
                        </ion-col>
                        <ion-col>
                            <ion-row justify-content-start class="hodinaFont">8:00</ion-row>
                            <ion-row justify-content-center><b>2.</b></ion-row>
                            <ion-row justify-content-end class="hodinaFont">9:00</ion-row>
                        </ion-col>
                        <ion-col>
                            <ion-row justify-content-start class="hodinaFont">9:00</ion-row>
                            <ion-row justify-content-center><b>3.</b></ion-row>
                            <ion-row justify-content-end class="hodinaFont">10:00</ion-row>
                        </ion-col>
                        <ion-col>
                            <ion-row justify-content-start class="hodinaFont">10:00</ion-row>
                            <ion-row justify-content-center><b>4.</b></ion-row>
                            <ion-row justify-content-end class="hodinaFont">11:00</ion-row>
                        </ion-col>
                        <ion-col>
                            <ion-row justify-content-start class="hodinaFont">11:00</ion-row>
                            <ion-row justify-content-center><b>5.</b></ion-row>
                            <ion-row justify-content-end class="hodinaFont">12:00</ion-row>
                        </ion-col>
                        <ion-col>
                            <ion-row justify-content-start class="hodinaFont">12:00</ion-row>
                            <ion-row justify-content-center><b>6.</b></ion-row>
                            <ion-row justify-content-end class="hodinaFont">13:00</ion-row>
                        </ion-col>
                        <ion-col>
                            <ion-row justify-content-start class="hodinaFont">13:00</ion-row>
                            <ion-row justify-content-center><b>7.</b></ion-row>
                            <ion-row justify-content-end class="hodinaFont">14:00</ion-row>
                        </ion-col>
                        <ion-col>
                            <ion-row justify-content-start class="hodinaFont">14:00</ion-row>
                            <ion-row justify-content-center><b>8.</b></ion-row>
                            <ion-row justify-content-end class="hodinaFont">15:00</ion-row>
                        </ion-col>
                        <ion-col>
                            <ion-row justify-content-start class="hodinaFont">15:00</ion-row>
                            <ion-row justify-content-center><b>9.</b></ion-row>
                            <ion-row justify-content-end class="hodinaFont">16:00</ion-row>
                        </ion-col>
                        <ion-col>
                            <ion-row justify-content-start class="hodinaFont">16:00</ion-row>
                            <ion-row justify-content-center><b>10.</b></ion-row>
                            <ion-row justify-content-end class="hodinaFont">17:00</ion-row>
                        </ion-col>
                        <ion-col>
                            <ion-row justify-content-start class="hodinaFont">17:00</ion-row>
                            <ion-row justify-content-center><b>11.</b></ion-row>
                            <ion-row justify-content-end class="hodinaFont">18:00</ion-row>
                        </ion-col>
                        <ion-col>
                            <ion-row justify-content-start class="hodinaFont">18:00</ion-row>
                            <ion-row justify-content-center><b>12.</b></ion-row>
                            <ion-row justify-content-end class="hodinaFont">19:00</ion-row>
                        </ion-col>
                        <ion-col>
                            <ion-row justify-content-start class="hodinaFont">19:00</ion-row>
                            <ion-row justify-content-center><b>13.</b></ion-row>
                            <ion-row justify-content-end class="hodinaFont">20:00</ion-row>
                        </ion-col>
                    </ion-row>
                    <ion-row class="rozvrhVelikost block" style='height: var(--vyskaPodneli);' [innerHtml]="htmlPo"></ion-row>
                    <ion-row class="rozvrhVelikost block" style='height: var(--vyskaUtery);' [innerHtml]="htmlUt"></ion-row>
                    <ion-row class="rozvrhVelikost block" style='height: var(--vyskaStreda);' [innerHtml]="htmlSt"></ion-row>
                    <ion-row class="rozvrhVelikost block" style='height: var(--vyskaCtvrtek);' [innerHtml]="htmlCt"></ion-row>
                    <ion-row class="rozvrhVelikost block" style='height: var(--vyskaPatek);' [innerHtml]="htmlPa"></ion-row>
                </ion-col>
            </ion-row>

            <ion-row class="legenda">
                <ion-col>Legenda:</ion-col>
                <ion-col class="prednaska">Přednáška</ion-col>
                <ion-col class="cviceni">Cvičení</ion-col>
                <ion-col class="seminar">Seminář</ion-col>
            </ion-row>

            <br />

            <div [hidden]=neniPredmet>
                <ion-list>
                    <ion-item color="danger">
                        <b>Předměty bez rozvrhu</b>
                    </ion-item>
                    <ion-item class="dolniOhraniceni">
                        <ion-col size="3"><b>Zkratka</b></ion-col><ion-col size="2"><b>Typ</b></ion-col><ion-col size="3"><b>Platnost</b></ion-col><ion-col size="4"><b>Vyučující</b></ion-col>
                    </ion-item>
                    <ion-item *ngFor="let rozvrhovaAkce of (bezRozvrhu)">
                        <ion-col size="3">{{rozvrhovaAkce.katedra}}/{{rozvrhovaAkce.predmet}}</ion-col><ion-col size="2">{{rozvrhovaAkce.typAkceZkr}}</ion-col><ion-col size="3">{{rozvrhovaAkce.platnost}}</ion-col><ion-col size="4">{{rozvrhovaAkce.ucitel}}</ion-col>
                    </ion-item>
                </ion-list>
            </div>

        </ion-grid>
    </div>
</ion-grid>
